<script setup lang="ts">
import { cn } from '@/lib/utils';

const props = withDefaults(defineProps<{
    class?: string;
}>(), {
    class: '',
});

const model = defineModel<boolean>({type: Boolean, default: false});
</script>

<template>
    <input type="checkbox" :checked="model" @click="() => (model = !model)" class="peer h-7 w-7 shrink-0 rounded-sm border border-gray ring-offset-background disabled:cursor-not-allowed disabled:opacity-50 checked:bg-secondary checked:text-dark-green transition cursor-pointer">
</template>
